From da903f066758d4af03fadba5d8096b78476adc51 Mon Sep 17 00:00:00 2001
From: Ryo Kanbayashi <ryo.contact@gmail.com>
Date: Sun, 15 Jun 2025 20:36:58 +0900
Subject: [PATCH v10 2/2] psql enhancement related servicefile option on
 connection string

---
 doc/src/sgml/ref/psql-ref.sgml | 9 +++++++++
 src/bin/psql/command.c         | 2 ++
 2 files changed, 11 insertions(+)

diff --git a/doc/src/sgml/ref/psql-ref.sgml b/doc/src/sgml/ref/psql-ref.sgml
index 570ef21d1fc..903dfa91b25 100644
--- a/doc/src/sgml/ref/psql-ref.sgml
+++ b/doc/src/sgml/ref/psql-ref.sgml
@@ -4623,6 +4623,15 @@ bar
         </listitem>
       </varlistentry>
 
+      <varlistentry id="app-psql-variables-servicefile">
+        <term><varname>SERVICEFILE</varname></term>
+        <listitem>
+        <para>
+        The service file name, if applicable.
+        </para>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="app-psql-variables-shell-error">
        <term><varname>SHELL_ERROR</varname></term>
        <listitem>
diff --git a/src/bin/psql/command.c b/src/bin/psql/command.c
index e26c010d044..6f702ec4ca3 100644
--- a/src/bin/psql/command.c
+++ b/src/bin/psql/command.c
@@ -4490,6 +4490,7 @@ SyncVariables(void)
 
 	SetVariable(pset.vars, "DBNAME", PQdb(pset.db));
 	SetVariable(pset.vars, "SERVICE", PQservice(pset.db));
+	SetVariable(pset.vars, "SERVICEFILE", PQserviceFile(pset.db));
 	SetVariable(pset.vars, "USER", PQuser(pset.db));
 	SetVariable(pset.vars, "HOST", PQhost(pset.db));
 	SetVariable(pset.vars, "PORT", PQport(pset.db));
@@ -4524,6 +4525,7 @@ UnsyncVariables(void)
 {
 	SetVariable(pset.vars, "DBNAME", NULL);
 	SetVariable(pset.vars, "SERVICE", NULL);
+	SetVariable(pset.vars, "SERVICEFILE", NULL);
 	SetVariable(pset.vars, "USER", NULL);
 	SetVariable(pset.vars, "HOST", NULL);
 	SetVariable(pset.vars, "PORT", NULL);
-- 
2.45.1.windows.1

